com.cloudera.flume.handlers.thrift

## Class ThriftFlumeEventServer.Client.Factory

- java.lang.Object
- - com.cloudera.flume.handlers.thrift.ThriftFlumeEventServer.Client.Factory

- All Implemented Interfaces:
    org.apache.thrift.TServiceClientFactory<ThriftFlumeEventServer.Client>
  Enclosing class:
    ThriftFlumeEventServer.Client

      public static class ThriftFlumeEventServer.Client.Factory
      extends Object
      implements org.apache.thrift.TServiceClientFactory<ThriftFlumeEventServer.Client>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThriftFlumeEventServer.Client.Factory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThriftFlumeEventServer.Client` | `getClient(org.apache.thrift.protocol.TProtocol prot)`
    `ThriftFlumeEventServer.Client` | `getClient(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThriftFlumeEventServer.Client.Factory

          public ThriftFlumeEventServer.Client.Factory()

  - ### Method Detail

    - #### getClient

          public ThriftFlumeEventServer.Client getClient(org.apache.thrift.protocol.TProtocol prot)

      Specified by:
        `getClient` in interface `org.apache.thrift.TServiceClientFactory<ThriftFlumeEventServer.Client>`

    - #### getClient

          public ThriftFlumeEventServer.Client getClient(org.apache.thrift.protocol.TProtocol iprot,
                                                org.apache.thrift.protocol.TProtocol oprot)

      Specified by:
        `getClient` in interface `org.apache.thrift.TServiceClientFactory<ThriftFlumeEventServer.Client>`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.